### Function

# Pango split_file_list

#### Declaration [src]

    char**
    pango_split_file_list (
      const char* str
    )

#### Description [src]

Splits a `G_SEARCHPATH_SEPARATOR`-separated list of files, stripping white space and substituting ~/ with $HOME/.

#### Parameters

`str` | `const char*`
| A `G_SEARCHPATH_SEPARATOR` separated list of filenames.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `utf8`
| A list of strings to be freed with `g_strfreev()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.